Bug 1282246 - [abrt] evince: gx_pattern_size_estimate(): evince killed by SIGFPE
[abrt] evince: gx_pattern_size_estimate(): evince killed by SIGFPE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:44a72c1224f19058aa7798e763e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 13:40 EST by rh
Modified: 2016-11-28 06:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-26 16:54:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.32 KB, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: core_backtrace (15.50 KB, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: dso_list (13.09 KB, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: environ (3.18 KB, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: maps (102.84 KB, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: mountinfo (3.44 KB, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: open_fds (1.90 KB, text/plain)
2015-11-15 13:40 EST, rh
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-11-15 13:40 EST, rh
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Ghostscript 696351 None None None Never

  None (edit)
Description rh 2015-11-15 13:40:32 EST
Description of problem:
Opening and scrolling through http://www.dcs.ed.ac.uk/home/adamd/research/fccm97.ps.gz
it seems to be the gs core (it happens in okular or plain gs).

Version-Release number of selected component:
evince-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evince fccm97.ps
crash_function: gx_pattern_size_estimate
executable:     /usr/bin/evince
global_pid:     11503
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gx_pattern_size_estimate at base/gxpcmap.c:225
 #1 gx_pattern_load at base/gxpcmap.c:1247
 #2 gx_remap_color at base/gxcmap.c:560
 #3 gs_rectfill at base/gsdps1.c:206
 #4 zrectfill at psi/zdps1.c:305
 #5 interp at psi/interp.c:1185
 #6 gs_call_interp at psi/interp.c:510
 #7 gs_interpret at psi/interp.c:468
 #8 gs_main_interpret at psi/imain.c:247
 #9 gs_main_run_string_continue at psi/imain.c:649
Comment 1 rh 2015-11-15 13:40:37 EST
Created attachment 1094547 [details]
File: backtrace
Comment 2 rh 2015-11-15 13:40:39 EST
Created attachment 1094548 [details]
File: cgroup
Comment 3 rh 2015-11-15 13:40:41 EST
Created attachment 1094549 [details]
File: core_backtrace
Comment 4 rh 2015-11-15 13:40:42 EST
Created attachment 1094550 [details]
File: dso_list
Comment 5 rh 2015-11-15 13:40:44 EST
Created attachment 1094551 [details]
File: environ
Comment 6 rh 2015-11-15 13:40:45 EST
Created attachment 1094552 [details]
File: limits
Comment 7 rh 2015-11-15 13:40:47 EST
Created attachment 1094553 [details]
File: maps
Comment 8 rh 2015-11-15 13:40:49 EST
Created attachment 1094554 [details]
File: mountinfo
Comment 9 rh 2015-11-15 13:40:50 EST
Created attachment 1094555 [details]
File: namespaces
Comment 10 rh 2015-11-15 13:40:51 EST
Created attachment 1094556 [details]
File: open_fds
Comment 11 rh 2015-11-15 13:40:53 EST
Created attachment 1094557 [details]
File: proc_pid_status
Comment 12 Fedora End Of Life 2016-11-24 08:27:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 rh 2016-11-26 16:54:37 EST
Seems to be working in f25 - not clear what fixed it.
Comment 14 David Kaspar [Dee'Kej] 2016-11-28 06:53:45 EST
(In reply to rh from comment #13)
> Seems to be working in f25 - not clear what fixed it.

There was a rebase to ghostscript-9.20 from ghostscript-9.16. It was fixed most likely by one of the upstream fixes.

Note You need to log in before you can comment on or make changes to this bug.